## golang-github-paulrosania-go-charset 0.0~git20190326.55c9d7a

=== cmd/tcs/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=tcs
GOFILES=\
	tcs.go\

include $(GOROOT)/src/Make.cmd

## golang-github-paulrosania-go-charset 0.0~git20151028.0.621bb39

=== debian/changelog ===
golang-github-paulrosania-go-charset (0.0~git20151028.0.621bb39-1) unstable; urgency=medium

  * Initial release (Closes: #819029).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Mar 2016 14:37:50 +1100

=== debian/control ===
Source: golang-github-paulrosania-go-charset
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.7
Homepage: https://github.com/paulrosania/go-charset
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-paulrosania-go-charset.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-paulrosania-go-charset.git
XS-Go-Import-Path: github.com/paulrosania/go-charset

Package: golang-github-paulrosania-go-charset-dev
Provides: golang-github-rogpeppe-go-charset-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: character set conversion for Go
 Character set conversion between UTF-8 and various character sets.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## golang-github-paulrosania-go-charset 0.0~git20190326.55c9d7a

=== debian/changelog ===
golang-github-paulrosania-go-charset (0.0~git20190326.55c9d7a-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-golang (>= 1.31).

  [ Andreas Tille ]
  * Package moved to tessro on Github
  * d/copyright: Update to new maintainer
  * Add watch file
  * Default Salsa CI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Use tracker.debian.org's team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Executable usr/bin/tcs will not be installed
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 14 Oct 2025 08:24:49 +0200

golang-github-paulrosania-go-charset (0.0~git20151028.0.621bb39-3) unstable; urgency=medium

  [ Tim Potter ]
  * Team upload.
  * Add me to uploaders

  [ Michael Stapelberg ]
  * Fix testdata patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 16 Feb 2018 18:01:21 +0100

golang-github-paulrosania-go-charset (0.0~git20151028.0.621bb39-2) UNRELEASED; urgency=medium

  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

 -- Paul Tagliamonte <paultag@debian.org>  Wed, 29 Jun 2016 20:42:56 -0400

=== debian/control ===
Source: golang-github-paulrosania-go-charset
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-paulrosania-go-charset
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-paulrosania-go-charset.git
Homepage: https://github.com/tessro/go-charset
XS-Go-Import-Path: github.com/paulrosania/go-charset

Package: golang-github-paulrosania-go-charset-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
Provides:
 golang-github-rogpeppe-go-charset-dev,
Description: character set conversion for Go
 Character set conversion between UTF-8 and various character sets.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := datafiles

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
Version: 5

Source: https://github.com/tessro/go-charset.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.0~git%cd.%h
